{-# LANGUAGE TemplateHaskell #-}

import Geom2d.Translate
import Geom2d.Point
import Test.Utils
import Test.QuickCheck.All
import Test.QuickCheck
import Data.AEq

prop_point_translate_identity :: Point' Float -> Bool
prop_point_translate_identity p =
  translate (fromCoords 0 0 :: Point' Float) p == p

prop_point_translate_addition :: Point' Float -> Point' Float -> Bool
prop_point_translate_addition p q = p `translate` q ~== p + q

return []
runTests = $quickCheckAll

main = do
  runTests >>= doExit
